using MauiAppStock.Data;
using MauiAppStock.Views;

namespace MauiAppStock;

public partial class App : Application
{
    public App()
    {
        InitializeComponent();
        // On démarre sur MainPage dans une NavigationPage pour permettre la navigation
        MainPage = new NavigationPage(new MainPage());
        InitializeDatabase();
    }

    private async void InitializeDatabase()
    {
        await Database.InitializeAsync();
    }
}